init python:

    def label_callback(name, abnormal):
        store.current_label = name

    config.label_callback = label_callback


screen confirm(message, yes_action, no_action):

    ## Ensure other screens do not get input while this screen is displayed.
    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        vbox:
            xalign .5
            yalign .5
            spacing 45

            label _(message):
                style "confirm_prompt"
                xalign 0.5

            hbox:
                xalign 0.5
                spacing 150

                textbutton _("Yes") activate_sound "audio/ui/snd_ui_click.wav" action yes_action
                textbutton _("No") activate_sound "audio/ui/snd_ui_back.wav" action no_action

    ## Right-click and escape answer "no".
    key "game_menu" action no_action
    
    if current_label == 'e1_punk': 
      timer 0.01 action MainMenu(confirm=False) 


define Detr = Character('Детерминист', base, color="#262626", who_outlines=[(gui.name_text_thickness, '#e0dfdc')])
define Codd = Character('Кодд', base, color="#e0dfdc", who_outlines=[(gui.name_text_thickness, '#262626')])

image punk_prom1 = "mods/E1_Punk/promdanceraz.png" 
image punk_prom2 = "mods/E1_Punk/promdancedva.png" 
image punk_edit = "mods/E1_Punk/cg_a08_edit.png" 


image anim_damien_rave:
    "bg_damien_house_night_winter"
    0.5
    "bg_damien_house_night_christmas"
    0.5
    repeat

screen punk_noactions:
    if current_label == 'e1_punk': 
      key "dismiss" action NullAction()
      key "hide_windows" action NullAction()
      key "game_menu" action NullAction()
      key "quit" action Quit(confirm=None)
      key "skip" action NullAction()
      key "fullscreen" action NullAction()
    else:
      pass

    
label e1_punk:
   
  show screen punk_noactions
  stop music fadeout 2.0
  
  $ quick_menu = False
  
  $ renpy.pause (2.0, hard=True)
  
  play music "mods/E1_Punk/e1_punk.ogg" 
  
  $ preferences.afm_enable = True
  
  scene bg_olivia_room_night
  show fb_bed
  show fb_bed_olivia_bunched:
    ycenter -0.2
    0.5
    ease_back 1.0 ycenter 0.5
  
  $ renpy.pause (1.0, hard=True)
  
  "{space=250}{size=75}{b}Пародия на \'Смерть на Балу\'{fast}{w=2.5}{nw}"
  
  extend "\n{space=325}{size=75}{b}из панк-мьюзикла TODD{fast}{w=3.00}{nw}"
  
  show fb_bed_inco_prom_sit_front:
      xcenter 1.2
      easein 0.5 xcenter 0.8
  
  $ renpy.pause (0.25, hard=True)
  
  "{b}{u}{w=0.25}Исполняют:{/u}{fast}{w=1.0}{nw}" 
  
  extend " \n{space=100}{b}Детерминист{fast}{w=1.0}{nw}"
  
  extend " \n{space=200}{b}и...{fast}{w=1.0}{nw}"
  
  extend " \n{space=250}{b}Кодд{fast}{w=1.0}{nw}"

  scene bg_prom_parkinglot with Dissolve(1)
  Detr "{cps=15}Ст.Хаммонд сверкает {w=0.25}гирляндой в ночи,{nw}"
  
  show anim_damien_rave
    
  extend "{cps=15}\nПриближалась к концовке новелла почти.{w=0.5}{nw}"
  
  show cg_reveal_e1a:
      alpha 0.0 matrixcolor InvertMatrix(0.0)
      ease 1.0 alpha 1.0
      pause 3.0
      ease 1.0 matrixcolor InvertMatrix(1.0)
  Detr "{cps=15}Инко Г. Нито франт {w=0.1}взял особу на бал,{w=0.4}{nw}"
  extend "{cps=15}\nТолько чёрных очков он {w=0.25}на лоб не поднял.{nw}"
  
  scene bg_inco_room_night_lightson
  
  show inco prom concerned:
      alpha 0.0 xcenter 0.5
      ease 0.5 alpha 1.0
  
  show c_idle3:
      matrixcolor TintMatrix('#262626') * BrightnessMatrix(3.0) alpha 0.8
      xcenter 0.8 xzoom -1.0 
      ease 4.0 xcenter 0.65 
  
  Codd "{cps=12}{sc}Но разве хуман заслужил свой хэппиенд?{w=1.0}{/sc}{nw}"
  
  show inco prom thinking with dissolve
  
  $ renpy.pause(1.5, hard=True)
  
  show c_watching1:
      matrixcolor TintMatrix('#e0dfdc') alpha 0.8
      ycenter 1.2 xcenter 0.3
      easein_back 1.0 ycenter 0.655
  
  show inco prom shocked:
      xzoom -1.0
  
  Detr "{alpha=0.5}НЕЕЕЕЕЕЕЕЕЕТ!{fast}{w=1.0}{nw}"
  
  scene bg_damien_livingroom_night_winter:
        xalign 0.5
  camera:
        setx(-0.19)
  show sophia sad right at setxy(0.38, 0.1)
  show randy unimpressed right at setxy(0.26, 0.1)
  show lizbody prom right at setxy(0.5, 0.1) behind sophia
  show lizhead sad prom right at setxy(0.5 + LIZHEADX_NEUTRAL, 0.1 + LIZHEADY_NEUTRAL)
  show damien sad prom right at setxy(0.7, 0.1) behind lizbody, lizhead
  show inco prom sad at setxy(0.9, 0.1)
  show black:
      alpha 0.0 zoom 2.0
      0.8
      linear 4.0 alpha 0.6
  show olivia disappointed e2dress left at setx(1.05)
  with Dissolve(1.0)
  
  "{w=0.25}{nw}"
  
  Detr "И МОЛЧАЛА{fast}{w=0.75}{nw}"
  
  extend " ОНА{fast}{w=0.5}{nw}"
  
  extend " ОДНА,{fast}{w=1.5}{nw}"
  
  extend "\nКАК {fast}{w=0.25}{nw}"
  
  extend "В НАЧАЛЕ{fast}{w=0.5}{nw}"
  
  show olivia skeptical e2dress left
  
  extend " ОТ{fast}{w=0.2}{nw}"

  extend "СТРА{fast}{w=0.2}{nw}"

  extend "НЕ{fast}{w=0.2}{nw}"
  
  extend "НА...{fast}{w=1.0}{nw}"
  
  show sophia annoyed right at movexy(-0.2, 0)
  show randy annoyed right at movexy(-0.2, 0)
  hide black
  show black behind lizbody, lizhead, damien:
      alpha 0.6 zoom 2.0
  
  show olivia devious e2dress left at movex(1.0)
  show inco prom explaining left behind black at movexy(0.8, 0)
  
  show lizbody prom right at movexy(0.4, 0)
  show lizhead angry prom right at movexy(0.4 + LIZHEADX_NEUTRAL, 0 + LIZHEADY_NEUTRAL)
  show damien angry prom right at movexy(0.6, 0) behind lizbody, lizhead
  
  Detr "{w=0.1}ОСКОРБЛЯЯ {fast}{w=0.4}{nw}"
  
  extend "СВОИХ{fast}{w=0.75}{nw}"
  
  extend " ДРУ{fast}{w=0.4}{nw}"
  
  extend "ЗЕЙ,{fast}{w=1.2}{nw}"
  
  hide black
  show black behind olivia:
      alpha 0.6 zoom 2.0
  
  show lizbody prom right behind black at movex(0.2)
  show lizhead angry prom right behind black at movex(0.2 + LIZHEADX_NEUTRAL)
  show damien angry prom right behind black, lizbody, lizhead at movex(0.4)
  show inco prom neutral left behind black at movexy(1.0)
  
  show vinny sickneutral:
      xcenter -0.2
      ease 1.0 xcenter 0.65
  
  show olivia:
      ease 1.0 xcenter 0.75
  
  extend "\n{b}ПО{fast}{w=0.25}{nw}"
  
  extend "СЫ{fast}{w=0.25}{nw}"
  
  extend "ЛАЯ{fast}{w=0.1}{nw}"
  
  show olivia furious e2dress      
  show inco prom shocked 
  show lizhead shocked prom right
  show damien shocked prom right
  show vinny sickdistraught:
      ease 0.25 xcenter 0.6
      ease 1.0 rotate(360) xcenter -0.2
  
  extend " НАХ*Й{fast}{w=0.5}{nw}"
  
  play sound "audio/sounds/snd_bowlingstrike_strike.ogg" volume 0.25
  hide black 
  show lizbody prom right at movex(-0.5) behind sophia
  show lizhead shocked prom right at movex(-0.5 + LIZHEADX_NEUTRAL)
  show damien shocked prom right at movex(-0.5) behind lizbody, lizhead
  show inco prom surprised left 
  show olivia surprised e2dress left at movex(0.8)

  
  extend " ДЕТЕЙ!{fast}{w=2.0}{nw}"
  
  $ renpy.pause(1.25, hard=True)
  
  show olivia considering e2dress right
  
  show inco prom neutral left:
      easein 2.0 xcenter 0.6 
  
  $ renpy.pause(1.0, hard=True)
  
  show inco prom neutral right
  
  $ renpy.pause(0.1, hard=True)
  
  hide inco
  hide olivia
  show incoolivia i_concernedsmile i_prom o_e2dress:
      xcenter 0.7
  with dissolve
  
  show incoolivia:
      ease 0.25 xcenter 0.6
      easein 1.0 xcenter 1.2      
  
  camera:
        1.0
        setx(0)
      
  scene bg_limo 
  show metroolivia nowheelchair lookaway e2dress: 
        xcenter 0.5 ycenter 0.05
        xzoom(-1)
  with Fade(0.5, 1, 0.5)
  
  camera:
      ycenter 0.5
      1.25
      ease 0.25 ycenter 0.52
      ease 0.25 ycenter 0.5
      repeat
  
  $ renpy.pause(1.0, hard=True)
  
  show metroolivia nowheelchair lookaway e2dress:
       xcenter 0.5 ycenter 0.05
       ease 2.0 xcenter -0.5
  
  $ renpy.pause(1.0, hard=True)
  
  show metroolivia nowheelchair lookaway e1dress: 
        xcenter -0.5 ycenter 0.05
        ease 2.0 xcenter 0.5
        xzoom(-1)
  
  $ renpy.pause(3.5, hard=True)
  
  camera:
      ycenter 0.5
  scene bg_prom_ballroom
      
  show mia neutral prom:
      xcenter 0.8 xzoom -1.0
  with PushMove(1.0, mode='pushright')
  
  show inco neutral prom:
      xcenter -0.5
      ease 2.0 xcenter 0.2
  
  show olivia neutral e1dress behind inco:
      xcenter -0.2
      ease 2.0 xcenter 0.4

  
  Detr "{cps=15}Не рушась веселился{w=0.25}{nw}"
  
  show inco prom smug:
      ease 1.5 xcenter 0.5
  
  show mia prom smug:
      ease 1.5 xcenter 0.6 xzoom -1.0
      
  
  extend " в ошибке сюжет,{w=0.4}{nw}"
  
  show black:
        alpha 0.0
        ease 2.0 alpha 0.5      
  
  show olivia disappointed t_embarassed e1dress:
      1.0
      ease 1.0 xcenter 0.2
  
  show inco:
      alpha 1.0
      ease 1.0 alpha 0.0
  show mia:
      alpha 1.0
      ease 1.0 alpha 0.0
      
  show fb_inco_and_mia_cuck_olivia:
      ycenter 0.5 xcenter 0.5 alpha 0.0
      ease 1.0 alpha 1.0
      
  extend "\nИз Моретти и Кинко злодейский дуэт!{w=0.5}{nw}"
  
  show fb_inco_and_mia_cuck_olivia:
      easein 1.0 xcenter 0.45
      easein 1.0 xcenter 0.55
      repeat
  
  show punk_prom1:
      ycenter 1.2 xcenter 0.8
      ease 2.5 ycenter -0.2
  
  Detr "{cps=15}И звучал промданс раз,{nw}"
  
  show olivia disappointeddown t_embarassed e1dress
  
  show punk_prom2:
      ycenter -0.2 xcenter 0.8 
      ease 2.5 ycenter 1.2
  
  extend " и звучал промданс два, {nw}" 
  
  hide punk_prom1
  hide punk_prom2
  
  show black:
       alpha 0.5
       ease 1.0 alpha 0.0
  
  show fb_inco_and_mia_cuck_olivia:
      easein 0.5 ycenter 1.5
  
  show inco prom concernedsmile: 
     alpha 1.0
     ycenter 1.2 xcenter 0.6 xzoom -1.0
     ease 2.0 ycenter 0.7
  
  show mia prom smile:   
     alpha 1.0
     ycenter 1.2 xcenter 0.4 xzoom -1.0
     ease 2.0 ycenter 0.7
   

  show olivia sad e1dress    
     
  extend "\nИ Мия крестила свои{space=30}{k=+20}БАЗОЙ{/k} слова:{w=1.0}{nw}"
  
  show black behind olivia, mia:
    alpha 0.0
    ease 1.0 alpha 0.5
  
  camera:
    zoom 2.0      
    
  
  show olivia sadforward e1dress
  
  show mia prom smile:
      ycenter 0.655
      ease 2.0 ycenter 0.8
  
  Mia "{cps=12}Конечно, дельный дам я тебе совет!{w=1.0}{nw}"
  
  show olivia worried blush e1dress:
      easein 0.5 xcenter 0.15
  
  show mia prom smug:
      easein 0.5 xcenter 0.35
  
  Mia "*звуки секса*{fast}{w=2.0}{nw}"
  
  show mia prom smile
  show olivia annoyedconsidering e1dress
  
  Mia "{cps=10}(нет){w=2.0}{nw}"

  scene cg_betrayal1
  camera:
      zoom 1.0
  with dissolve
  
  Detr "И СИДЕЛА {fast}{w=0.5}{nw}"
  
  extend "ХОТВИЛС {fast}{w=0.75}{nw}"
  
  extend "ОДНА,{fast}{w=1.0}{nw}"
  
  show cg_betrayal2:
      alpha 0.0
      easeout 1.0 alpha 1.0
  
  extend "\nОТКРОВЕННА {fast}{w=1.0}{nw}" 
  
  extend "И {fast}{w=0.5}{nw}"
  
  extend "СКОРБНА,{fast}{w=1.0}{nw}"
  
  show cg_betrayal3
  
  Detr "НАБЛЮДАЯ, {fast}{w=1.0}{nw}"
  
  show cg_betrayal4
  
  extend "КАК ЛЫСЫЙ {fast}{w=1.0}{nw}"
  
  show cg_betrayal5
  
  extend "ПЕНЬ{fast}{w=1.25}{nw}"
  
  show cg_betrayal6:
      zoom 4.0 xcenter 0.5 ycenter -0.1
      linear 1.0 zoom 3.0 ycenter 0.1
      easein 0.75 zoom 1.0 ycenter 0.5
  
  extend "\n{b}ФОТО {fast}{w=0.125}{nw}"
  extend "СНЯЛ {fast}{w=0.125}{nw}"
  
  extend "В ПОДБОРКУ {fast}{w=0.5}{nw}"
  
  extend "КРИНЖЕЙ!{fast}{w=1.75}{nw}"
  
  scene bg_prom_balcony
  show inco prom verysad:
      xcenter 0.5 xzoom -1.0
      1.25
      easein 0.25 xcenter 0.55
      
  show damien prom furious:
      xcenter -0.2 
      0.5
      easein 0.75 xcenter 0.45
      easein 0.25 xcenter 0.4
  
  show white:
      alpha 0
      1.25
      ease 0.25 alpha 1.0
      ease 0.25 alpha 0
  
  play sound [ "<silence 0.8>", "audio/sounds/snd_impact.ogg" ] volume 0.25
  
  Detr "{cps=15}И артисту пробил {nw}" 
  show damien angrydown prom:
      ease 0.25 xcenter 0.3
  hide white   
  show inco prom concerned blackeye:
      ease 0.5 xcenter 0.5
  
  extend "резко Дэмьен в лицо,{w=0.25}{nw}"
  
  show damien prom retardstare behind inco:
      xzoom 1.0
      .25
      xzoom -1.0
  
  show inco:
      xcenter 0.5
      easein_quad 3.0 xcenter -0.4
  
  extend "{cps=20}\nНо поехал на лифте тот за ней быстрецом.{nw}"
  
  scene cg_tragedy1
  with PushMove(0.5, mode='pushup')
  
  Detr "{cps=15}Та сказала:{nw}"
  
  show cg_tragedy2
  
  show anim_tragedy:
      alpha 0.0
      ease 4.0 alpha 1.0
  
  extend "{i}\"На дне я, {w=0.05}{nw}"
  
  extend "оставь меня, дно\".{/i}{w=0.05}{nw}"
  
  extend "\nОттолкнула обьятия,{w=0.05}{nw}" 
  
  extend "{cps=18} свалилась смешно.{nw}"
  play sound "mods/E1_Punk/metal_pipe_slowed+reverb.ogg"
  scene black
  show cg_a01_base:
      alpha 0.0
      ease 4.0 alpha 1.0
      
  Detr "{cps=15}Медсестёр и врачей {w=0.05}барионикс среди,{w=0.1}{nw}"
  
  show cg_a01:
      alpha 0.0
      ease 1.0 alpha 1.0
  
  extend "\nИ питомец её {w=0.3}пропищал на груди:{w=0.6}{nw}"
  
  camera:
      matrixcolor SaturationMatrix(1.0)
      ease 8.0 matrixcolor SaturationMatrix(0.0)
      
  show cg_memorialpainting:
      xcenter 0.2 ycenter 0.7 zoom 2.0
      ease 4.0 xcenter 0.8
  
  Detr "{cps=15}{i}\"Почему рисовать ты отказалась фонтан?{w=0.75}{nw}"
  
  hide cg_memorialpainting
  show cg_reveal_e1b:
      ycenter 0.8 zoom 2.0 xcenter 0.5
      ease 4.0 ycenter 0.4
  extend "\nЗачем с игроком ты пошла на тот бал?\"{w=0.75}{nw}"
  
  hide cg_reveal_e1b

  camera:
      zoom 1.0 xcenter 0.5
      ease 6.0 zoom 4.0 xcenter 1.25
  
  Codd "{cps=12}Но гатор ничего не мог сказать в ответ...{w=0.2}{nw}"
  
  scene black
  camera:
      zoom 1.0 xcenter 0.5 matrixcolor SaturationMatrix(1.0)
  
  $ renpy.pause(1.6, hard=True)
  
  scene cg_a07
  
  Detr "И ПРОСНУЛСЯ {fast}{w=0.5}{nw}"
  
  extend "ПИЖОН {fast}{w=0.8}{nw}"
  extend "ОДИН.{fast}{w=0.9}{nw}"
  
  show cg_a07a
  
  extend "\nЗАТЕМ {fast}{w=0.3}{nw}"
  
  extend "СКРЫЛСЯ {fast}{w=0.65}{nw}"
  
  extend "ОН {fast}{w=0.25}{nw}"
  
  extend "НЕВ{fast}{w=0.1}{nw}"
  
  extend "РЕ{fast}{w=0.1}{nw}"
  
  extend "ДИМ.{fast}{w=1.25}{nw}"
  
  show cg_a04
  
  Detr "НО ОСТАЛСЯ {fast}{w=0.75}{nw}" 
  
  show cg_a06_base
  extend "ЛЕЖАТЬ {fast}{w=0.4}{nw}" 
  
  extend "ФИ{fast}{w=0.25}{nw}"
  
  extend "НАЛ - {fast}{w=1.0}{nw}"
  
  camera:
      zoom 1.0 xcenter 0.5 ycenter 0.5 matrixcolor BrightnessMatrix(0)
      ease 4.0 zoom 4.0 xcenter -0.95 ycenter -0.65
      0.25
      ease 4.0 zoom 1.0 xcenter 0.5 ycenter 0.5 matrixcolor BrightnessMatrix(1.0)
      
  show punk_edit
  
  extend "\n{b}ВСЕ ОЧКИ, {fast}{w=0.5}{nw}" 
  
  extend "ЧТО {fast}{w=0.25}{nw}" 
  
  extend "ТЫ {fast}{w=0.25}{nw}"

  extend "НЕ {fast}{w=0.25}{nw}" 
  
  extend "ПОДНЯЛ!{fast}{w=1.0}{nw}"
  
  Codd "*{s}дьявольский{/s} дедовский смех*{fast}{w=3.0}{nw}"
  
  $ renpy.pause(2.25, hard=True)

  scene white
  camera:
      matrixcolor BrightnessMatrix(0)
  show ddl_guts_tired:
      ycenter 0.5 xcenter 0.5
      block:
          xzoom -1.0
          .25
          xzoom 1.0
          .25
          repeat
          
  Codd "И ТРЕ{fast}{w=0.2}{nw}"
  
  extend "ТИЙ {fast}{w=0.1}{nw}"
  
  extend "ДЕНЬ {fast}{w=0.6}{nw}"

  extend  "ЛЕ{fast}{w=0.2}{nw}"
  
  extend "ЖИШЬ, {fast}{w=0.3}{nw}"
  
  extend "ТОСКУЯ {fast}{w=0.2}{nw}" 
  
  extend "ПО НЕЙ, {fast}{w=0.4}{nw}"
  
  hide ddl_guts_tired
  show ddl_guts_threat:
      zoom 1.5 xcenter 0.5 ycenter 0.5
  
  extend "ШКЕТ!{fast}{w=1.0}{nw}"
  window hide
  hide ddl_guts_threat
  show ddl_fakiu:
      zoom 0.85 xcenter 0.5 ycenter 0.4
  $ preferences.afm_enable = False
  $ renpy.pause (0.05, hard=True)    
  
  return